---
title: SpeechSynthesisVoice.name
slug: Web/API/SpeechSynthesisVoice/name
tags:
  - API
  - Experimental
  - Property
  - Reference
  - SpeechSynthesisVoice
  - Web Speech API
  - name
  - speech
  - synthesis
---
<div>{{APIRef("Web Speech API")}}{{SeeCompatTable}}</div>

<p>The <code><strong>name</strong></code> read-only property of the {{domxref("SpeechSynthesisVoice")}} interface returns a human-readable name that represents the voice.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var voiceName = speechSynthesisVoiceInstance.name;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} representing the name of the voice.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">for(i = 0; i &lt; voices.length ; i++) {
  var option = document.createElement('option');
  option.textContent = voices[i].name + ' (' + voices[i].lang + ')';

  if(voices[i].default) {
    option.textContent += ' -- DEFAULT';
  }

  option.setAttribute('data-lang', voices[i].lang);
  option.setAttribute('data-name', voices[i].name);
  voiceSelect.appendChild(option);
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Web Speech API', '#dom-speechsynthesisvoice-name', 'name')}}</td>
			<td>{{Spec2('Web Speech API')}}</td>
			<td> </td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SpeechSynthesisVoice.name")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/API/Web_Speech_API">Web Speech API</a></li>
</ul>
